package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OperaAddFittingBatchVo {

	@NotBlank(message = "编辑的时候用，申请的id")
	private String applyId;

	@NotBlank(message = "物料id不能为空")
	private String materialId;

	@NotNull(message = "申请的物料数量不能为空")
	private Integer applyNum;

	@Schema(description = "申请备注")
	private String applyMarks;
}
