package org.springblade.modules.nh.factory.ginlong.dto.alarmlist;

import lombok.Data;
import org.springblade.modules.nh.factory.goodwe.dto.GetIndexReq;

@Data
public class GetAlarmListReq extends GetIndexReq {

    private Integer pageNo;
    private Integer pageSize;
    /**
     * 指定 stationId 代表查询此电站下的信息
     */
    private String stationId;
    /**
     * 指定 alarmDeviceSn 代表查询此逆变器下的报
     * 警信息
     */
    private String alarmDeviceSn;
    /**
     * 指定查询yyyy-MM-dd以来的报警信息。
     */
    private String alarmBeginTime;
    /**
     * 指定查询到yyyy-MM-dd的报警信息。
     */
    private String alarmEndTime;

}
