package org.springblade.modules.nh.factory.ginlong.dto.inverterday;

import lombok.Data;
import org.springblade.modules.nh.factory.goodwe.dto.GetIndexReq;

@Data
public class GetInverterDayReq extends GetIndexReq {

    private String id;
    /**
     * 查询指定逆变器 id 或逆变器 sn 的数据, id
     * 和 sn 不能同时为空
     */
    private String sn;
    /**
     * 电站货币单位,例:CNY
     */
    private String money;
    /**
     * 指定查询某天数据,格式:yyyy-MM-dd
     */
    private String time;
    /**
     * 电站时区,例:8
     */
    private int timeZone;

}
