package org.springblade.modules.nh.factory.ginlong.dto.stationday;

import lombok.Data;
import org.springblade.modules.nh.factory.goodwe.dto.GetIndexReq;

@Data
public class GetStationDayReq extends GetIndexReq {

    /**
     * 电站 id
     */
    private String id;
    /**
     * 电站货币单位,例:CNY
     */
    private String money;
    /**
     * 指定查询某天数据,格式:yyyy-MM-dd
     */
    private String time;
    /**
     * 电站时区,例:8
     */
    private int timeZone;

}
