package org.springblade.modules.nh.factory.goodwe.dto.getinverterpower;

import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

@Data
public class GetInverterPowerReq extends GoodweApiReq {

    /**
     * 设备 sn
     */
    private String sn;
    /**
     * 日期,日期格式 2018-07-11
     */
    private String date;
    /**
     * 数量值最小为 1,为 0 则取默认值 包含当前所
     * 选时间
     * 日发电量:最大 31 天,默认 31
     * 月发电量:最大 12 月,默认 12
     * 年发电量:当年默认为 0,最大 10
     * 如果设置值超过规定范围则取默认值
     */
    private Integer count;
    /**
     * 0:日发电量
     * 1:月发电量
     * 2:年发电量
     * 默认为 0
     */
    private Integer type;

}
