package org.springblade.modules.nh.factory.goodwe.dto.getpowerstationwarininginfobymulticondition;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class GetPowerStationWariningInfoByMultiConditionR {

    private String stationId;
    /**
     * 区域编码
     */
    private String adcode;
    /**
     * 电站名称
     */
    private String stationname;
    /**
     * 设备 SN
     */
    private String devicesn;
    /**
     * 告警 id
     */
    private String warningid;
    /**
     * 告警名称
     */
    private String warningname;
    /**
     * 状态1:已处理 0:未处理
     */
    private Integer status;
    /**
     * 发生时间
     */
    private String happentime;
    /**
     * 恢复时间
     */
    private String recoverytime;
    /**
     * 是否派送 1:已派送 2:未派送
     */
    @JsonProperty("is_add_task")
    private Integer isAddTask;
    /**
     * 错误编码-详细参考 3.3 告警错误
     */
    @JsonProperty("error_code")
    private String errorCode;

}
