package org.springblade.modules.nh.factory.goodwe.dto.getpowerstationwarininginfobymulticondition;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.SerializedName;
import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

@Data
public class GetPowerStationWariningInfoByMultiConditionReq extends GoodweApiReq {

    /**
     * 查询开始时间,开始时间和结束时间
     * 间隔最大 30 天。
     */
    private String starttime;
    /**
     * 查询结束时间,如果不赋值默认为当
     * 前时间
     */
    private String endtime;
    @JsonProperty("page_size")
    @SerializedName(("page_size"))
    private Integer pageSize;
    @SerializedName("page_index")
    @JsonProperty("page_index")
    private Integer pageIndex;
    /**
     * 1:恢复=恢复未关注+恢复已关注
     * 2:发生=发生未关注+发生已关注
     * 3:全部=恢复+发生
     * 默认显示发生和关注的
     */
    private Integer status;
    /**
     * 电站 id
     */
    private String stationid;

}
