package org.springblade.modules.nh.factory.saj.resp;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class DeviceRealtimeData {
	private String deviceSn;//	string	设备sn
	private String moduleSn;//	string	采集sn
	private String dataTime;//	Date	数据更新时间
	private String invTime;//	Date	设备时间
	private Integer meterAStatus;//	String	meterA电网 1有电表 0无电表
	private String meterAVolt1;//	String	meterA电网 电压1
	private String meterACurr1;//	String	meterA电网 电流1
	private String meterAPowerWatt1;//	String	meterA电 网有功功率1
	private String meterAPowerVA1;//	String	meterA电网 视在功率1
	private String meterAFreq1;//	String	meterA电网 频率1
	private String meterAVolt2;//	String	meterA电网 电压2
	private String meterACurr2;//	String	meterA电网 电流2
	private String meterAPowerWatt2;//	String	meterA电 网有功功率2
	private String meterAPowerVA2;//	String	meterA电网 视在功率2
	private String meterAFreq2;//	String	meterA电网 频率2
	private String meterAVolt3;//	String	meterA电网 电压3
	private String meterACurr3;//	String	meterA电网 电流3
	private String meterAPowerWatt3;//	String	meterA电 网有功功率3
	private String meterAPowerVA3;//	String	meterA电网 视在功率3
	private String meterAFreq3;//	String	meterA电网 频率3
	private String pv1volt;//	String	PV1 电压
	private String pv1curr;//	String	PV1 电流
	private String pv2volt;//	String	PV2 电压
	private String pv2curr;//	String	PV2 电流
	private String pv3volt;//	String	PV3 电压
	private String pv3curr;//	String	PV3 电流
	private String pv1power;//	String	PV1 功率
	private String pv2power;//	String	PV2 功率
	private String pv3power;//	String	PV3 功率
	private String pv4power;//	String	PV4 功率
	private String pv5power;//	String	PV5 功率
	private String pv6power;//	String	PV6 功率
	private String pv7power;//	String	PV7 功率
	private String pv8power;//	String	PV8 功率
	private String pv9power;//	String	PV9 功率
	private String pv10power;//	String	PV10 功率
	private String pv11power;//	String	PV11 功率
	private String pv12power;//	String	PV12 功率
	private String totalPVPower;//	String	当前发电功率（储能机H系列请使用此字段）
	private String totalLoadPowerWatt;//	String	当前总用电功率-负载功率
	private Double totalGridPowerWatt;//	String	当前并网功率（并网机R系列请使用此字段）
	private Double backupTotalLoadPowerWatt;//	String	Backup功率

	@JsonProperty("rGridVolt")
	private Double rGridVolt;//	String	R相电网电压
	@JsonProperty("rGridFreq")
	private Double rGridFreq;//	String	R相电网频率
	@JsonProperty("rGridCurr")
	private Double rGridCurr;//	String	R相电网电流
	private Double rGridPowerWatt;//	String	R相电网功率-负载功率
	private Double rInvVolt;//	String	R相逆变电压
	private Double rInvCurr;//	String	R相逆变电流
	private Double rInvFreq;//	String	R相逆变频率
	private Double rInvPowerWatt;//	String	R相逆变有功功率
	private Double rOutVolt;//	String	R 相输出电压
	private Double rOutCurr;//	String	R 相输出电流
	private Double rOutFreq;//	String	R 相输出频率
	private Double rOutPowerVA;//	String	R 相输出视在功率
	private Double rOutPowerWatt;//	String	R 相输出有功功率
	@JsonProperty("sGridVolt")
	private Double sGridVolt;//	String	S相电网电压
	private Double sGridFreq;//	String	S相电网频率
	@JsonProperty("sGridCurr")
	private Double sGridCurr;//	String	S相电网电流
	private Double sGridPowerWatt;//	String	S相电网功率-负载功率
	private Double sInvVolt;//	String	S相逆变电压
	private Double sInvCurr;//	String	S相逆变电流
	private Double sInvFreq;//	String	S相逆变频率
	private Double sInvPowerWatt;//	String	S相逆变有功功率
	private Double sOutVolt;//	String	S 相输出电压
	private Double sOutCurr;//	String	S 相输出电流
	private Double sOutFreq;//	String	S 相输出频率
	private Double sOutPowerVA;//	String	S 相输出视在功率
	private Double sOutPowerWatt;//	String	S 相输出有功功率
	@JsonProperty("tGridVolt")
	private Double tGridVolt;//	String	T相电网电压
	private Double tGridFreq;//	String	T相电网频率
	@JsonProperty("tGridCurr")
	private Double tGridCurr;//	String	T相电网电流
	private Double tGridPowerWatt;//	String	T相电网功率-负载功率
	private Double tInvVolt;//	String	T相逆变电压
	private Double tInvCurr;//	String	T相逆变电流
	private Double tInvFreq;//	String	T相逆变频率
	private Double tInvPowerWatt;//	String	T相逆变有功功率
	private Double tOutVolt;//	String	T 相输出电压
	private Double tOutCurr;//	String	T 相输出电流
	private Double tOutFreq;//	String	T 相输出频率
	private Double tOutPowerVA;//	String	T 相输出视在功率
	private Double tOutPowerWatt;//	String	T 相输出有功功率
	private Double parallTotalPVMeterEnergy;//	String	光伏总发电量
	private Double totalFeedInEnergy;//	String	电网总购电量
	private Double totalTotalLoadEnergy;//	String	总负载用电量
	private Double totalSellEnergy;//	String	总卖电量
	private Double todayLoadEnergy;//	String	日负载用电量
	private Double todayPvEnergy;//	String	今日发电量
	private Double totalPvEnergy;//	String	总pv发电
	private Double gridDirection;//	String	1：电网卖电,0：无电网能量流动,-1：电网买电
	private Double todaySellEnergy;//	String	今日卖电量
	private Double todayFeedInEnergy;//	String	今日买电
	private Double todayBatDisEnergy;//	String	今日放电
	private Double todayBatChgEnergy;//	String	今日充电
	private Double batteryDirection;//	String	正放 负充
	private Double sysGridPowerWatt;//	String	电网功率
	private Double sysTotalLoadWatt;//	String	负载功率
	private Double sinkTempC;//	double	散热器温度
	private Double ambTempC;//	double	环境温度
}
