package org.springblade.modules.nh.pojo.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.nh.pojo.entity.PowerStationEntity;

import java.io.Serial;

@Data
@EqualsAndHashCode(callSuper = true)
public class StationDTO  extends PowerStationEntity{

	@Serial
	private static final long serialVersionUID = 1L;

	private String entryIds;

	private String siteIds;

	private String userName;

	private String password;
	private Integer offlineDuring;
	private Integer errorDuring;
}
