package org.springblade.modules.nh.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class PowerGenerationTrendCoordinatesVO {

    @Schema(description =  "x轴坐标")
    private List<String> xAxis;

    @Schema(description =  "y轴坐标(发电量)")
    private List<Object> yAxisForElectricity;

    @Schema(description =  "y轴坐标(实时功率)")
    private List<Double> yAxisForPower;
}
