package org.springblade.modules.fitting.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class BhMaterialDTO {

	@Schema(description = "物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@Schema(description = "物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String materialType;

	/**
	 * 物料型号
	 */
	@Schema(description = "物料型号")
	private String materialModel;
	/**
	 * 物料规格
	 */
	@Schema(description = "物料规格")
	private String materialSpec;

	/**
	 * 库存数量
	 */
	@Schema(description = "库存数量")
	private Integer stockAmount;

	/**
	 * 申请数量
	 */
	@Schema(description = "申请数量")
	private Integer applyNum;
}
