package org.springblade.modules.flowable.processForm.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefAuditStepEntity;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefEntity;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefSubmitStepEntity;

import java.util.List;

@Data
public class AddProcessVo {
	@Schema(description = "流程id")
    private String processId;
	@Schema(description = "流程基本信息")
    private ProcessDefEntity def;
	@Schema(description = "流程中的提交步骤")
    private ProcessDefSubmitStepEntity submitStep;
	@Schema(description = "审核步骤")
    private List<ProcessDefAuditStepEntity> steps;

}
