package org.springblade.modules.material.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class EmpFittingDetailVo {

	@NotBlank(message = "物料id不能为空")
	private String materialId;

	@NotNull(message = "申请的物料数量不能为空")
	private Integer applyNum;

	@Schema(description = "申请备注")
	private String applyMarks;

	@Schema(description = "关联工单id")
	private String relateOrderId;
}
