package org.springblade.modules.nh.factory.ginlong.dto.inverterlist;

import lombok.Data;

@Data
public class GetInverterR {
    /**
     * 逆变器 id
     */
    private String id;
    /**
     * 逆变器 SN
     */
    private String sn;
    /**
     * 电站 id
     */
    private String stationId;
    /**
     * 更新时间
     */
    private Long dataTimestamp;
    /**
     * 采集器 SN
     */
    private String collectorSn;
    /**
     * 逆变器类型
     */
    private String productModel;
    /**
     * 电站名称
     */
    private String stationName;
    /**
     * 电站地址
     */
    private String addr;
    /**
     * 装机容量
     */
    private double power;
    /**
     * 装机容量单位
     */
    private String powerStr;
    /**
     * 功率
     */
    private double pac;
    /**
     * 功率单位
     */
    private String pacStr;
    /**
     * 逆变器状态:
     * 1 = 在线
     * 2 = 离线
     * 3 = 报警
     */
    private Integer state;
    /**
     * 逆变器离线状态:
     * 0 = 正常离线
     * 1 = 异常离线
     */
    private int stateExceptionFlag;
    /**
     * 当日能量
     */
    private double etoday;
    /**
     * 当日发电量原始值
     */
    private double etoday1;
    /**
     * 当日能量单位
     */
    private String etodayStr;
    /**
     * 当日能量
     */
    private double etotal;
    /**
     * 累计发电量原始值
     */
    private double etotal1;
    /**
     * 满发小时数
     */
    private double fullHour;
    /**
     * 累计满发小时数
     */
    private double totalFullHour;
    /**
     * 总能量单位
     */
    private String etotalStr;
    /**
     * 质保结束时间
     */
    private Long updateShelfEndTime;

}
