package org.springblade.modules.nh.factory.goodwe.dto.getplantsstaticdatas;

import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

import java.util.List;

@Data
public class GetPlantsStaticDatasReqByTime extends GoodweApiReq {

    /**
     * 电站 id 集合 Y
     */
    private List<String> ids;
    /**
     * 1:查询范围内日发电量 Y
     */
    private Integer period;
    /**
     * 开始时间戳 Y
     */
    private Long startdt;
    /**
     * 结束时间戳
     * Period=1 开始和结束时间最大相
     * 差 30 天;
     * Period=2 开始和结束时间最大相
     * 差 12 月;
     * Period=3 开始和结束时间最大相
     * 差 20 年;
     */
    private Long enddt;

}
