package org.springblade.modules.nh.factory.goodwe.dto.getpowerstationpower;

import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

@Data
public class GetPowerStationPowerReq extends GoodweApiReq {

    /**
     * 电站 id
     */
    private String id;
    /**
     * 日期 2017-06-21
     */
    private String date;
    /**
     * 数量(包含当前)最小为 1,如果为 0 则取默认
     * 值
     * 日发电量:最大 31 天,默认 31
     * 月发电量:最大 12 月,默认 12
     * 年发电量:当年默认为 0,最大 10 年
     */
    private int count;
    /**
     * 0:日发电量
     * 1:月发电量
     * 2:年发电量
     * 默认是 0
     */
    private int type;

}
