package org.springblade.modules.nh.factory.goodwe.dto.queryinventers;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class QueryInventersR {

    /**
     * 设备 id
     */
    private String id;
    /**
     * 电站 id
     */
    @JsonProperty("pw_id")
    private String pwId;
    /**
     * 设备名称
     */
    @JsonProperty("it_name")
    private String itName;
    /**
     * SN
     */
    @JsonProperty("it_sn")
    private String itSn;
    /**
     * 设备类型
     */
    @JsonProperty("it_type")
    private String itType;
    /**
     * 容量 kw
     */
    @JsonProperty("it_capacity")
    private Double itCapacity;
    /**
     * 校验码 默认不提供
     */
    @JsonProperty("it_check_code")
    private String itCheckcode;
    /**
     * 接入日期
     */
    @JsonProperty("conn_date")
    private String connDate;
    /**
     * 是否更换 0:未更换 1:已更换
     */
    @JsonProperty("it_change_flag")
    private Boolean itChangeFlag;

}
