package org.springblade.modules.nh.factory.goodwe.scheduler;

import org.springblade.modules.nh.factory.goodwe.GoodweApi;
import org.springblade.modules.nh.factory.common.EachRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.Map;

@Service
public class GoodweStationAlarmEachRunner extends EachRunner<String> {

    @Autowired
    GoodweApi goodweApi;
    @Autowired
    GoodweAlarmPageAction goodweAlarmPageAction;

    /**
     * @param stationId station id
     */
    @Override
    public void handle(String stationId, Map<String, Object> ctx) throws IOException {
        goodweAlarmPageAction.start("获取告警列表", 100, 1);
    }
}
