package org.springblade.modules.order.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class OrderHomeVo {
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "待接单数量")
	private Long djdCount;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "服务中数量")
	private Long fwzCount;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "已完成数量")
	private Long ywcCount;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "工单查询全部数量")
	private Long allCount;


}
